<?php defined('BASEPATH') or exit('No direct script access allowed');


class Mockup extends CI_Controller
{
    
    function __construct() 
    {
        parent::__construct();
        $this->load->library('template');
    	$this->load->library('assets');
    	$this->load->library('events');
    }
    
    public function index() 
    {
    	Template::set_theme('gentelella');
    	
    	Assets::add_module_css('dashboard',array(
			'custom.min'
		));
		
		Assets::add_css(array(
            "vendors/bootstrap/dist/css/bootstrap.min.css",
            "vendors/font-awesome/css/font-awesome.min.css",
            "vendors/nprogress/nprogress.css",
            "vendors/iCheck/skins/flat/green.css",
            "vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css",
            "vendors/jqvmap/dist/jqvmap.min.css",
            "vendors/bootstrap-daterangepicker/daterangepicker.css",
	    ));
	
		Assets::add_js(array(
		    "vendors/jquery/dist/jquery.min.js",
            "vendors/bootstrap/dist/js/bootstrap.min.js",
            "vendors/fastclick/lib/fastclick.js",
            "vendors/nprogress/nprogress.js",
            "vendors/Chart.js/dist/Chart.min.js",
            "vendors/gauge.js/dist/gauge.min.js",
            "vendors/bootstrap-progressbar/bootstrap-progressbar.min.js",
            "vendors/iCheck/icheck.min.js",
            "vendors/skycons/skycons.js",
            "vendors/Flot/jquery.flot.js",
            "vendors/Flot/jquery.flot.pie.js",
            "vendors/Flot/jquery.flot.time.js",
            "vendors/Flot/jquery.flot.stack.js",
            "vendors/Flot/jquery.flot.resize.js",
		    "vendors/flot.orderbars/js/jquery.flot.orderBars.js",
            "vendors/flot-spline/js/jquery.flot.spline.min.js",
            "vendors/flot.curvedlines/curvedLines.js",
            "vendors/DateJS/build/date.js",
            "vendors/jqvmap/dist/jquery.vmap.js",
            "vendors/jqvmap/dist/maps/jquery.vmap.world.js",
            "vendors/jqvmap/examples/js/jquery.vmap.sampledata.js",
            "vendors/moment/min/moment.min.js",
            "vendors/bootstrap-daterangepicker/daterangepicker.js",
	    ));
	
		Assets::add_module_js('dashboard',array(
			'custom.min',
		));
    	
    	/*$data['http_referer'] = $this->get_http_referer();
        $data['page_title'] = "VIEW BRASIL - Marketing Digital de Sucesso";
        Template::set($data);*/
	
		Template::set_view('mockup_view');
	
		Template::render();
    }
}